> For the complete documentation index, see [llms.txt](https://docs.influxtechnology.com/support_guides/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.influxtechnology.com/support_guides/rexgen_xml_examples/readme.md).

# Rexgen\_XML\_Examples

This space contains various examples explaining how users can modify the ReXgen XML configuration for various use cases.

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><mark style="color:blue;">GNSS to CAN</mark></td><td><a href="/support_guides/rexgen_xml_examples/gnss_to_can.md">GNSS Data Transmission Over CAN Bus.</a></td></tr><tr><td><mark style="color:blue;">GNSS to CAN_SD</mark></td><td><a href="/support_guides/rexgen_xml_examples/gnss_to_can_sd.md">GNSS Data Recording &amp; Transmission Over CAN Bus.</a></td></tr><tr><td><mark style="color:blue;">ADC to CAN</mark></td><td><a href="/support_guides/rexgen_xml_examples/adc_to_can.md">ADC Data Transmission Over CAN Bus.</a></td></tr><tr><td><mark style="color:blue;">ADC to CAN_SD</mark></td><td><a href="/support_guides/rexgen_xml_examples/adc_to_can_sd.md">ADC Data Recording &amp; Transmission Over CAN Bus.</a></td></tr><tr><td><mark style="color:blue;">IMU to CAN</mark></td><td><a href="/support_guides/rexgen_xml_examples/imu_to_can.md">IMU Data Transmission Over CAN Bus.</a></td></tr><tr><td><mark style="color:blue;">IMU to CAN_SD</mark></td><td><a href="/support_guides/rexgen_xml_examples/imu_to_can_sd.md">IMU Data Recording &amp; Transmission Over CAN Bus.</a></td></tr><tr><td><mark style="color:blue;">RTC data to CAN</mark></td><td><a href="/support_guides/rexgen_xml_examples/rtc_data_to_can_bus.md">RTC Data To CAN Bus</a></td></tr></tbody></table>

## Gateway XML Examples

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><mark style="color:blue;">Gateway CAN0 Signal to CAN1</mark></td><td><a href="/support_guides/rexgen_xml_examples/gateway_can0_signal_to_can1.md">Gateway Routing CAN0 Signal to CAN1.</a></td></tr><tr><td><mark style="color:blue;">Gateway Routing CAN0 to CAN1.</mark></td><td><a href="/support_guides/rexgen_xml_examples/gateway_can0_to_can1.md">Gateway Routing CAN0 to CAN1.</a></td></tr><tr><td></td><td></td></tr></tbody></table>

For more details on these examples, visit our [<mark style="color:blue;">GitHub</mark>](https://github.com/InfluxTechnology/Rexgen_XML_Examples).

[<mark style="color:blue;">XML Documentation</mark>](https://docs.influxtechnology.com/support_guides/xml-documentation/)&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.influxtechnology.com/support_guides/rexgen_xml_examples/readme.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
